\documentclass[../Documentation_Bern_RTOS_PAI]{subfiles}

\begin{document}
\begin{tikzpicture}[bern_rtos_style]

    \node[box, minimum height = 4mm] (a0) {};
    \foreach \i [remember=\i as \lastx (initially 0)] in {1,...,5} 
        \node[draw, minimum height = 4mm, box, above = 0mm of a\lastx] (a\i) {};

    \node[box, minimum height = 8mm, above = 0mm of a5] (b0) {};
    \foreach \i [remember=\i as \lastx (initially 0)] in {1,...,4} 
        \node[box, minimum height = 8mm, above = 0mm of b\lastx] (b\i) {};
    
    \draw [decorate, decoration = {brace, amplitude=10pt, mirror, raise=4pt}, xshift=10mm] 
        ($(a0.south) + (1.5,0)$) -- ($(a5.north) + (1.5,0)$) node [midway, anchor=west, xshift=5mm] {Partition 0};
    \draw [decorate, decoration = {brace, amplitude=10pt, mirror, raise=4pt}, xshift=10mm]
        ($(b0.south) + (1.5,0)$) -- ($(b4.north) + (1.5,0)$) node [midway, anchor=west, xshift=5mm] {Partition 1};

    \draw [decorate, decoration = {brace, amplitude=6pt, raise=4pt}, xshift=-10mm]
        ($(b4.south) + (-1.5,0)$) -- ($(b4.north) + (-1.5,0)$) node [midway, anchor=east, xshift=-5mm] {Block Size};
\end{tikzpicture}
\end{document}